summaryrefslogtreecommitdiffstats
path: root/test/units/TEST-23-UNIT-FILE.RuntimeDirectoryPreserve.sh
diff options
context:
space:
mode:
authorDaniel Baumann <daniel.baumann@progress-linux.org>2024-06-12 03:50:45 +0000
committerDaniel Baumann <daniel.baumann@progress-linux.org>2024-06-12 03:50:45 +0000
commitefeb864cb547a2cbf96dc0053a8bdb4d9190b364 (patch)
treec0b83368f18be983fcc763200c4c24d633244588 /test/units/TEST-23-UNIT-FILE.RuntimeDirectoryPreserve.sh
parentReleasing progress-linux version 255.5-1~progress7.99u1. (diff)
downloadsystemd-efeb864cb547a2cbf96dc0053a8bdb4d9190b364.tar.xz
systemd-efeb864cb547a2cbf96dc0053a8bdb4d9190b364.zip
Merging upstream version 256.
Signed-off-by: Daniel Baumann <daniel.baumann@progress-linux.org>
Diffstat (limited to 'test/units/TEST-23-UNIT-FILE.RuntimeDirectoryPreserve.sh')
-rwxr-xr-xtest/units/TEST-23-UNIT-FILE.RuntimeDirectoryPreserve.sh26
1 files changed, 26 insertions, 0 deletions
diff --git a/test/units/TEST-23-UNIT-FILE.RuntimeDirectoryPreserve.sh b/test/units/TEST-23-UNIT-FILE.RuntimeDirectoryPreserve.sh
new file mode 100755
index 0000000..ca57702
--- /dev/null
+++ b/test/units/TEST-23-UNIT-FILE.RuntimeDirectoryPreserve.sh
@@ -0,0 +1,26 @@
+#!/usr/bin/env bash
+# SPDX-License-Identifier: LGPL-2.1-or-later
+# -*- mode: shell-script; indent-tabs-mode: nil; sh-basic-offset: 4; -*-
+# ex: ts=8 sw=4 sts=4 et filetype=sh
+set -eux
+set -o pipefail
+
+# Test RuntimeDirectoryPreserve=yes
+
+at_exit() {
+ set +e
+
+ rm -fr /run/hoge /tmp/aaa
+}
+
+trap at_exit EXIT
+
+systemd-mount -p RuntimeDirectory=hoge -p RuntimeDirectoryPreserve=yes -t tmpfs tmpfs /tmp/aaa
+
+touch /run/hoge/foo
+touch /tmp/aaa/bbb
+
+systemctl restart tmp-aaa.mount
+
+test -e /run/hoge/foo
+test ! -e /tmp/aaa/bbb